﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows;
using System.Globalization;

namespace MaskedInputTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
           this.input.AddHandler(RadMaskedTextInput.PreviewMouseRightButtonDownEvent, new MouseButtonEventHandler(input_PreviewMouseRightButtonDown), true);
        }

        ContextMenu BuildMenu()
        {
            ContextMenu theMenu = new ContextMenu();

            MenuItem mia = new MenuItem();
            mia.Header = "Item1";

            MenuItem mib = new MenuItem();
            mib.Header = "Item2";

            MenuItem mic = new MenuItem();
            mic.Header = "Item3";

            MenuItem copyItem = new MenuItem();
            copyItem.Header = "Copy";
            copyItem.Command = this.input.CopyCommand;
            copyItem.CommandTarget = this.input;

            MenuItem pasteitem = new MenuItem();
            pasteitem.Header = "Paste";
            pasteitem.Command = this.input.PasteCommand;
            pasteitem.CommandTarget = this.input;

            theMenu.Items.Add(mia);
            theMenu.Items.Add(mib);
            theMenu.Items.Add(mic);
            theMenu.Items.Add(copyItem);
            theMenu.Items.Add(pasteitem);

            
            return theMenu;
        }

       

        private void input_PreviewMouseRightButtonDown(object sender, MouseButtonEventArgs e)
        {
            e.Handled = true; //need to suppress empty menu
            FrameworkElement fe = e.Source as FrameworkElement;
            fe.ContextMenu = BuildMenu();            
            fe.ContextMenu.IsOpen = true;
        }
    }
}
